| embossversion

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Reports the current EMBOSS version number

## Description

embossversion writes the version number of the EMBOSS package to to screen (by default) or (optionally) to file.

## Usage

Here is a sample session with embossversion

    % embossversion
    Reports the current EMBOSS version number

    6.2.0

## Command line arguments

    Reports the current EMBOSS version number
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers: (none)
       Additional (Optional) qualifiers:
       -full               boolean    Show all EMBOSS version information fields
       -outfile            outfile    [stdout] Output file name

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
(none)
Additional (Optional) qualifiers
-full | boolean | Show all EMBOSS version information fields | Boolean value Yes/No | No
-outfile | outfile | Output file name | Output file | stdout
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-outfile" associated outfile qualifiers
-odirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

None.

## Output file format

embossversion writes just the version number followed by a newline character to end the line.

The output is written to the screen by default, but can be written to a named file by using the '-outfile' option.

The version number is in three parts, separated by '.'s.
The first number is the major version number - this only changes when substantial changes have been made to the look-and-feel of EMBOSS.
The second number is the minor version number - this is incremented whenever a version is released.
The third number is usually '0' but if a minor bug fix has been released that does not warrant a minor version number, this will be incremented.

## Data files

None.

## Notes

embossversion might be called by scripts in automated systems requiring versioning information, or in user-support as a convenient way to ascertain the version of an EMBOSS installation being used remotely.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
embossdata | Find and retrieve EMBOSS data files

## Author(s)

Gary Williams (gwilliam © rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## History

Written (23 May 2001) - Gary Williams.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None